com.verisign.epp.framework

## Class EPPPollQueueMgr

- java.lang.Object
- - com.verisign.epp.framework.EPPPollQueueMgr

-     public class EPPPollQueueMgr
      extends java.lang.Object

  The <EPPPollqueueMgr> is used to handle the Poll command which allows to discover and retrieve client service messages from a server. Once GenHandler issues the get method, EPPPollQueueMgr receives data from EPPPollDataSource and then returns concrete EPPResponse back to GenHandler.
  Version:
    $Revision: 1.4 $
  Author:
    $Author: jim $

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EPPResponse` | `delete(java.lang.Object aRecp, java.lang.String aMsgId, java.lang.Object aContextData)` Delete object from data source
    `EPPResponse` | `get(java.lang.Object aRecp, java.lang.Object aContextData)` Get EPPResponse from data source
    `EPPPollDataSource` | `getDataSource()` Gets data source
    `static EPPPollQueueMgr` | `getInstance()` Gets instance of EPPPollQueueMgr
    `void` | `put(java.lang.Object aRecp, java.lang.String aKind, java.lang.Object aData, java.lang.Object aContextData)` Put object into data source
    `void` | `register(EPPPollHandler aHandler)` Registers Poll Handler which is from config file.
    `void` | `setDataSource(EPPPollDataSource aSource)` Sets data source which is from config file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static EPPPollQueueMgr getInstance()

      Gets instance of EPPPollQueueMgr
      Returns:
        DOCUMENT ME!

    - #### getDataSource

          public EPPPollDataSource getDataSource()

      Gets data source
      Returns:
        DOCUMENT ME!

    - #### register

          public void register(EPPPollHandler aHandler)

      Registers Poll Handler which is from config file.
      Parameters:
        `aHandler` - DOCUMENT ME!

    - #### setDataSource

          public void setDataSource(EPPPollDataSource aSource)

      Sets data source which is from config file.
      Parameters:
        `aSource` - DOCUMENT ME!

    - #### get

          public EPPResponse get(java.lang.Object aRecp,
                                 java.lang.Object aContextData)
                          throws EPPPollQueueException

      Get EPPResponse from data source
      Parameters:
        `aRecp` - Server-specific recipient object that can be used to filter the messages by the recipient.
        `aContextData` - Server context passed into the `EPPPollDataSource`.
      Returns:
        EPPResponse Returns the concrete `EPPResponse`
      Throws:
        `EPPPollQueueException` - Unable to get EPPResponse from data source

    - #### put

          public void put(java.lang.Object aRecp,
                          java.lang.String aKind,
                          java.lang.Object aData,
                          java.lang.Object aContextData)
                   throws EPPPollQueueException

      Put object into data source
      Parameters:
        `aRecp` - DOCUMENT ME!
        `aKind` - DOCUMENT ME!
        `aData` - DOCUMENT ME!
        `aContextData` - DOCUMENT ME!
      Throws:
        `EPPPollQueueException` - Error putting message in queue

    - #### delete

          public EPPResponse delete(java.lang.Object aRecp,
                                    java.lang.String aMsgId,
                                    java.lang.Object aContextData)
                             throws EPPPollQueueException

      Delete object from data source
      Parameters:
        `aRecp` - DOCUMENT ME!
        `aMsgId` - DOCUMENT ME!
        `aContextData` - DOCUMENT ME!
      Returns:
        EPPResponse
      Throws:
        `EPPPollQueueException` - Error deleting the message

Copyright © VeriSign Inc. All Rights Reserved.